com.aliyun.player.source

## Enum VidSourceBase.OutputType

- java.lang.Object
- - java.lang.Enum<VidSourceBase.OutputType>
  - - com.aliyun.player.source.VidSourceBase.OutputType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VidSourceBase.OutputType>
  Enclosing class:
    VidSourceBase

      public static enum VidSourceBase.OutputType
      extends java.lang.Enum<VidSourceBase.OutputType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `cdn` 加速地址。(默认)
    `oss` 回源地址。仅支持播放格式为MP4的OSS地址。

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getOutputType()` 获取视频流类型
    `static VidSourceBase.OutputType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VidSourceBase.OutputType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### oss

          public static final VidSourceBase.OutputType oss

      回源地址。仅支持播放格式为MP4的OSS地址。

    - #### cdn

          public static final VidSourceBase.OutputType cdn

      加速地址。(默认)

  - ### Method Detail

    - #### values

          public static VidSourceBase.OutputType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VidSourceBase.OutputType c : VidSourceBase.OutputType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VidSourceBase.OutputType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getOutputType

          public java.lang.String getOutputType()

      获取视频流类型
      Returns:
        视频流类型